/* Knihovna pro ukladani a cteni retezcu do/z EEPROM.
 * Retezce jsou ulozeny jednoduse sifrovane pomoci XOR sifry.
 * @author Pavel Brychta http://www.xpabo.cz
 */
#include <Arduino.h>

/**
 * @brief      Cteni sifrovanych retezcu z EEPROM
 *
 * @param[in]  start   Pocatecni adresa retezce v EEPROM
 * @param[in]  maxlen  Maximalni delka retezce
 *
 * @return     Vycteny a desifrovany retezec
 */
String EES_readString(unsigned int start, size_t maxlen);

/**
 * @brief      Zapis retezcu do EEPROM
 *
 * @param[in]  start   Pocatecni adresa retezce v EEPROM
 * @param[in]  maxlen  Maximalni delka retezce
 * @param      string  Ukladany retezec
 *
 * @return     Priznak, zda se zapis podaril
 */
bool EES_storeString(unsigned int start, size_t maxlen, String &string);
